using EscapeRoomEngine.Engine.Runtime.Utilities;
using UnityEngine;

namespace Station46.Scripts
{
    [RequireComponent(typeof(Collider))]
    public class RespawnTrigger : MonoBehaviour
    {
        private void Awake()
        {
            if (!GetComponent<Collider>().isTrigger)
            {
                throw new WrongTypeException($"{this} must have a trigger collider.");
            }
        }
    }
}